# SoMFColor Class Reference
[Field classes]

`#include <Inventor/fields/SoMFColor.h>`

Inheritance diagram for SoMFColor:

List of all members.

## Detailed Description

The SoMFColor class is a container for SbColor values.

This field is used where nodes, engines or other field containers needs to store multiple color values (i.e. "Red Green Blue" triplets).

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also:
  SoSFColor

## Public Member Functions

void | setValues (const int start, const int num, const float rgb[][3])
void | setHSVValues (const int start, const int num, const float hsv[][3])
void | setValue (const SbVec3f &vec)
void | setValue (const float r, const float g, const float b)
void | setValue (const float rgb[3])
void | setHSVValue (const float h, const float s, const float v)
void | setHSVValue (const float hsv[3])
void | set1Value (const int idx, const SbVec3f &vec)
void | set1Value (const int idx, const float r, const float g, const float b)
void | set1Value (const int idx, const float rgb[3])
void | set1HSVValue (const int idx, const float h, const float s, const float v)
void | set1HSVValue (const int idx, const float hsv[3])

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFColor::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFColor::setValues | ( | const int | start,
|  | const int | num,
|  | const float | rgb[][3]
| ) |

| Set num RGB color values, starting at index start.

void SoMFColor::setHSVValues | ( | const int | start,
|  | const int | num,
|  | const float | hsv[][3]
| ) |

| Set num HSV color values, starting at index start.

void SoMFColor::setValue | ( | const SbVec3f & | vec | ) |

| Set the color array to a single value. vec is interpreted as a three element vector with the red, green and blue components, respectively.

void SoMFColor::setValue | ( | const float | r,
|  | const float | g,
|  | const float | b
| ) |

| Set the color array to a single value. r, g and b are the red, green and blue components, respectively.

void SoMFColor::setValue | ( | const float | rgb[3] | ) |

| Set the color array to a single value. rgb is a three element vector with the red, green and blue components, respectively.

void SoMFColor::setHSVValue | ( | const float | h,
|  | const float | s,
|  | const float | v
| ) |

| Set the color array to a single value. h, s and v are the hue, saturation and value components, respectively.

void SoMFColor::setHSVValue | ( | const float | hsv[3] | ) |

| Set the color array to a single value. hsv is a three element vector with the hue, saturation and value components, respectively.

void SoMFColor::set1Value | ( | const int | idx,
|  | const SbVec3f & | vec
| ) |

| Set the color at idx. vec is interpreted as a three element vector with the red, green and blue components, respectively.

void SoMFColor::set1Value | ( | const int | idx,
|  | const float | r,
|  | const float | g,
|  | const float | b
| ) |

| Set the color at idx. r, g and b is the red, green and blue components, respectively.

void SoMFColor::set1Value | ( | const int | idx,
|  | const float | rgb[3]
| ) |

| Set the color at idx. rgb is interpreted as a three element vector with the red, green and blue components, respectively.

void SoMFColor::set1HSVValue | ( | const int | idx,
|  | const float | h,
|  | const float | s,
|  | const float | v
| ) |

| Set the color at idx. h, s and v is the hue, saturation and value components, respectively.

void SoMFColor::set1HSVValue | ( | const int | idx,
|  | const float | hsv[3]
| ) |

| Set the color at idx. hsv is a three element vector with the hue, saturation and value components, respectively.

The documentation for this class was generated from the following files:

- SoMFColor.h
- SoMFColor.cpp